<?php
//escape email proti sql injection


$email = $mysqli->escape_string($_POST['email']);
echo ($_POST['email']);
$result = $mysqli->query("SELECT * FROM users WHERE email='$email'");

if ( $result->num_rows == 0 ){
    $_SESSION['message'] = "Uzivatel s timto emailem neexistuje";
    header("location: error.php");
}
else { // uživatel existuje
    $user = $result->fetch_assoc();
    //overeni hesla a aktivace emailu
    if ( password_verify($_POST['password'], $user['password']) ) {
        if($user['active']==1){
            $_SESSION['email'] = $user['email'];
            $_SESSION['first_name'] = $user['first_name'];
            $_SESSION['last_name'] = $user['last_name'];
            $_SESSION['active'] = $user['active'];
            $_SESSION['message'] = "Úspěšně přihlášen";
            // identifikace ze je uzivatel prihlasen
            $_SESSION['logged_inn'] = true;

            header("location: chart.php");
        }
        //zobr chyb hlášek
        else{
            $_SESSION['message'] = "Nejdříve je nutné aktivovat email!";
            header("location: error.php"); 
        }
    }
    else {
        $_SESSION['message'] = "Špatné heslo zkuste znovu!";
        header("location: error.php");
    }
}

?>
